Show / Hide Table of Contents

# ITriggerHandler<T> Interface

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public interface ITriggerHandler<T>

#### Type Parameters

`T`

### Members

#### Properties

Name | Description
--- | ---
Next |
Prev |

#### Methods

Name | Description
--- | ---
OnCanceled(CancellationToken) |
OnCompleted() |
OnError(Exception) |
OnNext(T) |

### Properties

#### Next

    ITriggerHandler<T> Next { get; set; }

##### Property Value

ITriggerHandler<T>

#### Prev

    ITriggerHandler<T> Prev { get; set; }

##### Property Value

ITriggerHandler<T>

### Methods

#### OnCanceled(CancellationToken)

    void OnCanceled(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

#### OnCompleted()

    void OnCompleted()

#### OnError(Exception)

    void OnError(Exception ex)

##### Parameters

`ex` System.Exception

#### OnNext(T)

    void OnNext(T value)

##### Parameters

`value` T